#######################本地环境#######################
logging:
  #日志级别 指定目录级别
  level:
    root: info
  encodings: UTF-8
  file:
    #    日志保存路径
    path: /Users/apple/Desktop/log/local
spring:
  data:
    mongodb:
#      host: 192.168.2.237
#      port: 27017
#      database: businesscenter
#      auto-index-creation: true
#      password: hzya1314
#      username: hzya
  flyway:
    # 启动flyway migration, 默认为true
    enabled: false
  datasource:
    dynamic:
      druid:
        filters: stat,log4j2
      datasource:
        master:
#          url: jdbc:dm://hzya.ufyct.com:9040?schema=businesscenter&zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=utf-8&compatibleMode=oracle
#          username: hzyazt
#          password: 62e4295b615a30dbf3b8ee96f41c820b
#          driver-class-name: dm.jdbc.driver.DmDriver
#          type: com.alibaba.druid.pool.DruidDataSource
          url: jdbc:mysql://ufidahz.com.cn:9014/businesscenter?serverTimezone=UTC&useUnicode=true&characterEncoding=UTF8&serverTimezone=GMT%2B8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowLoadLocalInfile=false&autoReconnect=true&failOverReadOnly=false&connectTimeout=30000&socketTimeout=30000&autoReconnectForPools=true
          username: root
          password: bd993088e8a7c3dc5f44441617f9b4bf
          driver-class-name: com.mysql.jdbc.Driver # 3.2.0开始支持SPI可省略此配置
#          url: jdbc:dm://hzya.ufyct.com:9040/businesscenter?zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=utf-8
#          url: jdbc:dm://hzya.ufyct.com:9040?schema=businesscenter&zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=utf-8&compatibleMode=oracle
#          username: hzyazt
#          password: 62e4295b615a30dbf3b8ee96f41c820b
#          driver-class-name: dm.jdbc.driver.DmDriver
savefile:
  #    文件保存路径
  path: /Users/apple/Desktop/log/local
  tomcatpath: /Users/apple/Desktop/log/local
  pluginpath: /Users/apple/Desktop/log/local
zt:
  url: http://127.0.0.1:10086/kangarooDataCenterV3/entranceController/externalCallInterface
cbs8:
  appId: 1P4AGrpz
  appSecret: 2c2369ae5dc04382844bbe3a5abf39e1bea9cd3a
  url: https://cbs8-openapi-reprd.csuat.cmburl.cn
  # 测试用这个 这个是银行给的，和下面的公钥不是一对密钥
  ya_private_key: 83BA7EC821D35F4CB31FF9A51C1EFA520FC52AF828C2337F88E91CF119B07F44
  # 这个私钥到时候上传到cbs，和下面到是同一对
  #ya_private_key: e1eacfdee9b8d4184437d5a2071e17ce31befc3d93395f9f05709ed562e8dc46
  ya_public_key: 044fa399d2223760f17b81b863cb482b009294c4516f8a605dea1475ec09e720eaa98468715e5ad509a592a0b426061551c5a3df236966c23253a7d894eac0dcde
  cbs_public_key: 0469146F06BF3B01236E84632441E826
  #电子回单下载临时存放位置
  elec_path: /Users/xiangerlin/Downloads/
OA:
  data_source_code: yc_oa
server:
  port: 10086

#  mysqldump -d mylm -hhzya.ufyct.com -p9096  -uroot -phzya1314 >%dirName%\table_view.sql


database:
  databaseName: businesscenter
  host: 192.168.2.237
  port: 3306
  username: root
  password: hzya@1314
  filePase: /Users/apple/Desktop/log
  fileName: data.sql
#sftp:
#  host: 192.168.2.237
#  port: 9091
#  username: cs237
#  password: hzya@1314
#  filePase: /databaseBack
